org.apache.lucene.facet.search

## Class CountingFacetsAggregator

- java.lang.Object
- - org.apache.lucene.facet.search.IntRollupFacetsAggregator
  - - org.apache.lucene.facet.search.CountingFacetsAggregator

All Implemented Interfaces:
  FacetsAggregator

    public class CountingFacetsAggregator
    extends IntRollupFacetsAggregator

A `FacetsAggregator` which counts the number of times each category appears in the given set of documents. This aggregator uses the `CategoryListIterator` to read the encoded categories. If you used the default settings while idnexing, you can use `FastCountingFacetsAggregator` for better performance.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`CountingFacetsAggregator()`

### Method Summary

Methods
`void` `aggregate(FacetsCollector.MatchingDocs matchingDocs, CategoryListParams clp, FacetArrays facetArrays)` Aggregate the facets found in the given matching documents.

### Methods inherited from class org.apache.lucene.facet.search.IntRollupFacetsAggregator

`requiresDocScores, rollupValues`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CountingFacetsAggregator

    public CountingFacetsAggregator()

### Method Detail

#### aggregate

    public void aggregate(FacetsCollector.MatchingDocs matchingDocs,
                 CategoryListParams clp,
                 FacetArrays facetArrays)
                   throws IOException

Description copied from interface: `FacetsAggregator`
Aggregate the facets found in the given matching documents.

Specified by:
  `aggregate` in interface `FacetsAggregator`
Specified by:
  `aggregate` in class `IntRollupFacetsAggregator`
Throws:
  `IOException`